package cn.com.tenlion.configcontent.controller.route.contentantistop;

import ink.wgink.common.base.DefaultBaseController;
import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.ModelAndView;

/**
 * @ClassName: ContentCollectController
 * @Description:
 * @Author: CodeFactory
 * @Date: 2021-08-02 10:30:13
 * @Version: 3.0
 **/
@Api(tags = ISystemConstant.ROUTE_TAGS_PREFIX + "")
@RestController
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/contentantistop")
public class ContentAntistopRouteController extends DefaultBaseController {

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("contentantistop/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("contentantistop/update");
    }

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("contentantistop/list");
    }

    @GetMapping("saveexlce")
    public ModelAndView saveExlce() {
        return new ModelAndView("contentantistop/save-excel");
    }

}